/* --COPYRIGHT--,BSD
* Copyright (c) 2014, Texas Instruments Incorporated
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
*
* * Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
*
* * Neither the name of Texas Instruments Incorporated nor the names of
* its contributors may be used to endorse or promote products derived
* from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
* --/COPYRIGHT--*/
//******************************************************************************
#ifndef HEADER_FILE_TI_LMT01_HARDWARE_BOARD_H

#define HEADER_FILE_TI_LMT01_HARDWARE_BOARD_H 

// LED1 pin (D1:GREEN LED)
#define TI_LMT01_XFER_LED_PxOUT            P5OUT
#define TI_LMT01_XFER_LED_PxDIR            P5DIR
#define TI_LMT01_XFER_LED_PxSEL            P5SEL
#define TI_LMT01_XFER_LED_PIN              BIT0

// GPIO Pin to bring out internal VREF
//#define TI_LMT01_GPIO_INTVREF_PxOUT                    P5OUT
//#define TI_LMT01_GPIO_INTVREF_PxDIR                    P5DIR
//#define TI_LMT01_GPIO_INTVREF_PxSEL                    P5SEL
//#define TI_LMT01_GPIO_INTVREF_PIN                      BIT0

// TEST_LED Pin (D2:RED LED)
#define TI_LMT01_TEST_LED_PxOUT                             P5OUT
#define TI_LMT01_TEST_LED_PxDIR                             P5DIR
#define TI_LMT01_TEST_LED_PxSEL                             P5SEL
#define TI_LMT01_TEST_LED_PIN                               BIT1

// GPIO for Pulse Count: Transistor Mode 
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxOUT                        P1OUT
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxDIR                        P1DIR
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxSEL                        P1SEL
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxIE                         P1IE
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxIES                        P1IES
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxIFG                        P1IFG
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PxREN                        P1REN
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_VECTOR                       PORT1_VECTOR
#define TI_LMT01_GPIO_PULSE_COUNT_TRAN_PIN                          BIT0

// GPIO for Pulse Count: Comparator Mode 
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxOUT                        P2OUT
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxDIR                        P2DIR
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxSEL                        P2SEL
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxIE                         P2IE
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxIES                        P2IES
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PxIFG                        P2IFG
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_VECTOR                       PORT2_VECTOR
#define TI_LMT01_GPIO_PULSE_COUNT_COMP_PIN                          BIT2

// GPIO Pin for POWER
#define TI_LMT01_GPIO_POWER_PxOUT                      P4OUT
#define TI_LMT01_GPIO_POWER_PxDIR                      P4DIR
#define TI_LMT01_GPIO_POWER_PIN                        BIT1

// GPIO for CAP_INP: Capture Input TA2.1 connected to pulse train (Transistor Mode)
#define TI_LMT01_GPIO_CAP_INP_TRAN_PxOUT                      P2OUT
#define TI_LMT01_GPIO_CAP_INP_TRAN_PxDIR                      P2DIR
#define TI_LMT01_GPIO_CAP_INP_TRAN_PxSEL                      P2SEL
#define TI_LMT01_GPIO_CAP_INP_TRAN_PIN                        BIT4

// Comparator B Input Pin 
#define TI_LMT01_CMPB_INP_PxOUT                        P6OUT
#define TI_LMT01_CMPB_INP_PxDIR                        P6DIR
#define TI_LMT01_CMPB_INP_PxSEL                        P6SEL
#define TI_LMT01_CMPB_INP_PIN                          BIT7

// Comparator B Output Pin: changed from P4.2 to P1.6 (no port mapping)
// This pin should be externally tied to gpio for pulse count
#define TI_LMT01_CMPB_OUT_PxOUT                        P1OUT
#define TI_LMT01_CMPB_OUT_PxDIR                        P1DIR
#define TI_LMT01_CMPB_OUT_PxSEL                        P1SEL
#define TI_LMT01_CMPB_OUT_PIN                          BIT6

// GPIO for CAP_INP: Capture Input TA0.1 connected to pulse train (Comparator Mode)
#define TI_LMT01_GPIO_CAP_INP_COMP_PxOUT                      P1OUT
#define TI_LMT01_GPIO_CAP_INP_COMP_PxDIR                      P1DIR
#define TI_LMT01_GPIO_CAP_INP_COMP_PxSEL                      P1SEL
#define TI_LMT01_GPIO_CAP_INP_COMP_PIN                        BIT2


#endif                                                                         // HEADER_FILE_TI_LMT01_HARDWARE_BOARD_H