/* --COPYRIGHT--,BSD
* Copyright (c) 2014, Texas Instruments Incorporated
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
*
* * Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
*
* * Neither the name of Texas Instruments Incorporated nor the names of
* its contributors may be used to endorse or promote products derived
* from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
* THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
* --/COPYRIGHT--*/
//------------------------------------------------------------------------------
// assume clock = 4Mhz SMCLK & Divide by 16
#define INTERVAL_150MSEC       37500
#define INTERVAL_100MSEC       25000
#define INTERVAL_75MSEC        18750
#define INTERVAL_60MSEC        15000
#define INTERVAL_55MSEC        13750
#define INTERVAL_50MSEC        12500


#define SINGLE_GPIO_SYNC_TRANSISTOR_MODE 0
#define SINGLE_GPIO_ASYNC_TRANSISTOR_MODE 1
#define SINGLE_GPIO_SYNC_COMPARATOR_MODE 2
#define SINGLE_GPIO_ASYNC_COMPARATOR_MODE 3

#define SINGLE_TIMER_SYNC_TRANSISTOR_MODE 4
#define SINGLE_TIMER_ASYNC_TRANSISTOR_MODE 5
#define SINGLE_TIMER_SYNC_COMPARATOR_MODE 6
#define SINGLE_TIMER_ASYNC_COMPARATOR_MODE 7

#define TWO_TIMER_SYNC_TRANSISTOR_MODE 8
#define TWO_TIMER_ASYNC_TRANSISTOR_MODE 9
#define TWO_TIMER_SYNC_COMPARATOR_MODE 10
#define TWO_TIMER_ASYNC_COMPARATOR_MODE 11

#define GRAPH_100MS_PERIOD 100

#define TIMEOUT_VALUE 200000

#define MAX_STR_LENGTH 32
#define NUM_SAMPLES         1             // number of samples per block
#define SAMPLE_SIZE         2  
#define NUM_BLOCKS          32            //  

#define MAX_BUF_LENGTH (NUM_SAMPLES * SAMPLE_SIZE * NUM_BLOCKS)

void timer0_A0_init(void); 


